> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Set template notification



## OpenAPI

````yaml put /template/{template_id}/set_notification
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /template/{template_id}/set_notification:
    put:
      tags:
        - signplus
      summary: Set template notification
      operationId: set_template_notification
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnvelopeNotification'
      responses:
        '200':
          description: Template notification changed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Template'
      security:
        - BearerAuth:
            - SIGN_ALL_EDIT
components:
  schemas:
    EnvelopeNotification:
      type: object
      properties:
        subject:
          type: string
          description: Subject of the notification
        message:
          type: string
          description: Message of the notification
        reminder_interval:
          type: integer
          description: Interval in days to send reminder
    Template:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the template
        name:
          type: string
          description: Name of the template
        comment:
          type: string
          description: Comment for the template
        pages:
          type: integer
          description: Total number of pages in the template
        legality_level:
          $ref: '#/components/schemas/EnvelopeLegalityLevel'
        created_at:
          type: integer
          description: Unix timestamp of the creation date
        updated_at:
          type: integer
          description: Unix timestamp of the last modification date
        expiration_delay:
          type: integer
          description: >-
            Expiration delay added to the current time when an envelope is
            created from this template
        num_recipients:
          type: integer
          description: Number of recipients in the envelope
        signing_steps:
          type: array
          items:
            $ref: '#/components/schemas/TemplateSigningStep'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/Document'
        notification:
          $ref: '#/components/schemas/EnvelopeNotification'
        dynamic_fields:
          type: array
          description: List of dynamic fields
          items:
            type: string
        attachments:
          $ref: '#/components/schemas/EnvelopeAttachments'
    EnvelopeLegalityLevel:
      type: string
      description: >-
        Legal level of the envelope (SES is Simple Electronic Signature,
        QES_EIDAS is Qualified Electronic Signature, QES_ZERTES is Qualified
        Electronic Signature with Zertes)
      enum:
        - SES
        - QES_EIDAS
        - QES_ZERTES
    TemplateSigningStep:
      type: object
      properties:
        recipients:
          type: array
          description: List of recipients
          items:
            $ref: '#/components/schemas/TemplateRecipient'
    Document:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the document
        name:
          type: string
          description: Name of the document
        filename:
          type: string
          description: Filename of the document
        page_count:
          type: integer
          description: Number of pages in the document
        pages:
          type: array
          description: List of pages in the document
          items:
            $ref: '#/components/schemas/Page'
    EnvelopeAttachments:
      type: object
      properties:
        settings:
          $ref: '#/components/schemas/AttachmentSettings'
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholdersPerRecipient'
    TemplateRecipient:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the recipient
        uid:
          type: string
          description: Unique identifier of the user associated with the recipient
        name:
          type: string
          description: Name of the recipient
        email:
          type: string
          description: Email of the recipient
        role:
          $ref: '#/components/schemas/TemplateRecipientRole'
    Page:
      type: object
      properties:
        width:
          type: integer
          description: Width of the page in pixels
        height:
          type: integer
          description: Height of the page in pixels
    AttachmentSettings:
      type: object
      properties:
        visible_to_recipients:
          type: boolean
          description: >-
            Whether the attachment is visible to the recipients or only to the
            sender
    AttachmentPlaceholdersPerRecipient:
      type: object
      properties:
        recipient_id:
          type: string
          description: ID of the recipient
        recipient_name:
          type: string
          description: Name of the recipient
        placeholders:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholder'
    TemplateRecipientRole:
      type: string
      description: >-
        Role of the recipient (SIGNER signs the document, RECEIVES_COPY receives
        a copy of the document, IN_PERSON_SIGNER signs the document in person,
        SENDER sends the document)
      enum:
        - SIGNER
        - RECEIVES_COPY
        - IN_PERSON_SIGNER
        - SENDER
    AttachmentPlaceholder:
      type: object
      properties:
        recipient_id:
          type: string
          description: ID of the recipient
        id:
          type: string
          description: ID of the attachment placeholder
        name:
          type: string
          description: Name of the attachment placeholder
        hint:
          type: string
          description: Hint of the attachment placeholder
        required:
          type: boolean
          description: Whether the attachment placeholder is required
        multiple:
          type: boolean
          description: Whether the attachment placeholder can have multiple files
        files:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentPlaceholderFile'
    AttachmentPlaceholderFile:
      type: object
      properties:
        id:
          type: string
          description: ID of the file
        name:
          type: string
          description: Name of the file
        size:
          type: integer
          description: Size of the file in bytes
        mimetype:
          type: string
          description: MIME type of the file
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````